{#-#####################################################################
 # Jinja2 template for /etc/network/interfaces
 #======================================================================
 # Macros dealing with allow-* statements
 ####################################################################-#}
{#======================================================================
 # Generate automatic interface startup statements
 #----------------------------------------------------------------------
 # This macro is responsible for generating allow-* statements
 # for the supplied interface.
 #===================================================================-#}
{%- macro generate(interface, indexes) -%}
  {#- Fetch config settings -#}
  {%- set device = helpers.get_stanza_device(interface, indexes) -%}
  {%- set auto_start_on_boot = interface['auto_start']['on_boot'] -%}
  {%- set auto_start_on_plug = interface['auto_start']['on_plug'] -%}

  {#- Build options -#}
  {%- if auto_start_on_boot is sameas true -%}
    {{ "auto" ~ " " ~ device ~ "\n" }}
  {%- endif -%}
  {%- if auto_start_on_plug is sameas true -%}
    {{ "allow-hotplug" ~ " " ~ device ~ "\n" }}
  {%- endif -%}
{%- endmacro -%}
